#
# spec file for package python-futurist
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-futurist
Version:        1.6.0
Release:        lp150.2.1
Summary:        Useful additions to futures, from the future.
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/futurist
Source0:        https://files.pythonhosted.org/packages/source/f/futurist/futurist-1.6.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-PrettyTable >= 0.7.1
BuildRequires:  python2-Sphinx
BuildRequires:  python2-contextlib2 >= 0.4.0
BuildRequires:  python2-eventlet >= 0.18.2
BuildRequires:  python2-futures >= 3.0.0
BuildRequires:  python2-monotonic >= 0.6
BuildRequires:  python2-openstackdocstheme >= 1.18.1
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-setuptools >= 16.0
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-PrettyTable >= 0.7.1
BuildRequires:  python3-Sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet >= 0.18.2
BuildRequires:  python3-monotonic >= 0.6
BuildRequires:  python3-openstackdocstheme >= 1.18.1
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-setuptools >= 16.0
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-monotonic >= 0.6
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%ifpython2
Requires:       python-contextlib2 >= 0.4.0
Requires:       python-futures >= 3.0.0
%endif
%python_subpackages

%description
Useful additions to futures, from the future.

%prep
%autosetup -p1 -n futurist-1.6.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%doc doc/build/html README.rst
%license LICENSE
%{python_sitelib}/futurist
%{python_sitelib}/futurist-*-py?.?.egg-info

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Tue Jan 23 2018 tbechtold@suse.com
- Convert to singlespec
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 1.6.0
  - Improving cover and docs testenv
  - Fix jitter strategies
  - Begin adding our own thread pool executor
  - Remove 'smart' idleness check
  - Avoid tox_install.sh for constraints support
  - Improve get optimal count of max_worker for pool
  - Update reno for stable/ocata
  - Fix time related check in rejection test
  - Eliminate unneccessary patching in GreenFuture
  - Add what the watcher watches to the watcher as a property
  - Remove discover from test-requirements
  - Typo fix: arbitary => arbitrary
  - Add Constraints support
  - Add reno for release notes management
  - Show team and repo badges on README
  - Don't include openstack/common in flake8 exclude list
  - Introducing NeverAgain functionality for periodics
  - Add re-raising SystemExit exception
  - Add Python 3.5 classifier and venv
  - turn on warning-is-error in doc build
  - Switch from oslosphinx to openstackdocstheme
  - Update .gitignore
  - Do not check spacing if periodic disabled
  - Fix 'on_failure' param not be used
  - replace _callables by _works
  - The python 3.4 support is removed
  - rearrange existing documentation to fit the new standard layout
  - Use prettytable to show pretty schedule/active/planned time table
  - Removes unnecessary utf-8 coding
  - Improve doctest and doc8 test
  - Update homepage with developer documentation page
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - Reduce/remove duplication in run functions
  - Remove link to modindex
  - Update URLs in documents according to document migration
  - Updated from global requirements
  - Expose underlying timeout error
* Sun Feb 28 2016 dmueller@suse.com
- update to 0.13.0:
  * Single quote the callables name (when submission errors
  * Updated from global requirements
  * Reschedule failed periodic tasks after a short delay
  * Fix wrong comparison in reject_when_reached
  * Updated from global requirements
  * Ensure all futures have completed before run returns
  * Allow PeriodicWorker to skip executor shutdown in case of a preexisting executor
  * Expose underlying futures.CancelledError
  * Updated from global requirements
  * Modification of the example code
  * PeriodicWorker.create to accept arguments for periodic tasks
  * Handle exceptions from executor.submit in PeriodicWorker
  * Add periodics.is_periodic to check if object is a periodic task
  * py26/py33 are no longer supported by Infra's CI
* Mon Jan 11 2016 bwiedemann@suse.com
- Update to version 0.9.0
  * Allow for providing different run work sync functions
  * Have the executor stats object repr look like the watcher repr
  * Add useful watcher '__repr__' function
  * Some minor refactoring and comment/note addition
  * No need for Oslo Incubator Sync
  * Move most of green helper classes -> '_green.py'
  * Add 'enabled' parameter to @periodic decorator
  * Remove green worker reference to its executor
  * Change ignore-errors to ignore_errors
  * Activate pep8 check that _ is imported
  * Handle the case where 0.199 is provided as runtime
  * Just use a deque vs reverse pushing/popping
  * Ensure new entry in immediates gets processed during wait(s)
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.5.0:
  * Updated from global requirements
  * Provide a thread differentiation attribute on executors
- Adjust Requires according to requirements.txt
* Tue Aug  4 2015 tbechtold@suse.com
- update to 0.3.0:
  * Updated from global requirements
  * Allow providing a callback to certain executors to reject new work
  * Disallow running 'start' twice
  * Allow for providing custom 'on_failure' callbacks
  * Delegate failure capturing to a object that is returned on run
  * Move doc8 to being a normal test requirement in test-requirements.txt
  * Ensure doctesting and doc8 testing done in py27 env
  * Updated from global requirements
* Tue Jul 21 2015 tbechtold@suse.com
- Initial packaging
